apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: apps
spec:
  project: default
  source:
    repoURL: 'git@192.168.4.101:innohub/k3s.git'
    path: argocd/apps
    targetRevision: main
    directory:
      recurse: true
      exclude: '**/include/*'
      jsonnet: {}
  destination:
    server: 'https://kubernetes.default.svc'
    namespace: argocd
  syncPolicy:
    automated:
      selfHeal: true
      prune: true

